<div>
    <div class="content">
        <div>
            <form [formGroup]="searchForm" (submit)="onSearch()">
                <div class="input-group">
                    <input type="text " class="form-control" placeholder="Search" formControlName="searchTerm">
                    <span class="input-group-btn">
                    <button type="submit" class="btn btn-dark sublime" [disabled]="!searchForm.valid">Search</button>
                    </span>
                </div>
            </form>
        </div>

        <div>
            <div class="row" *ngIf="!isLoading; else loader">
                <div class="col-xs-12" *ngIf="type==='AUTHOR'">
                    <app-authors-item *ngFor="let el of data" [author]="el">
                    </app-authors-item>
                </div>
                <div class="col-xs-12" *ngIf="type==='AUTHOR_DISCUSSIONS' && id">
                    <app-discussions-list-smaller-item *ngFor="let el of data" [discussion]="el">

                    </app-discussions-list-smaller-item>
                </div>
                <div class="col-xs-12" *ngIf="type==='AUTHOR_DISCUSSIONS' && !id">
                    <app-discussions-list-item *ngFor="let el of data" [discussion]="el">

                    </app-discussions-list-item>
                </div>
                <div class="col-xs-12" *ngIf="type==='BOOK_DISCUSSIONS' && id">
                    <app-discussions-list-smaller-item *ngFor="let el of data" [discussion]="el">

                    </app-discussions-list-smaller-item>
                </div>
                <div class="col-xs-12" *ngIf="type==='BOOK_DISCUSSIONS' && !id">
                    <app-discussions-list-item *ngFor="let el of data" [discussion]="el">

                    </app-discussions-list-item>
                </div>
                <div class="col-xs-12" *ngIf="type==='BOOK'">
                    <app-books-item *ngFor="let el of data" [book]="el">
                    </app-books-item>
                </div>
                <div class="col-xs-12" *ngIf="type==='GENRE_DISCUSSIONS'">
                    <app-discussions-list-item *ngFor="let el of data" [discussion]="el">

                    </app-discussions-list-item>
                </div>
                <mat-paginator *ngIf="length > 0; else noRes" [length]="length" [pageSize]="pageSize" [pageIndex]="pageIndex" [pageSize]="5" (page)="onPageChange($event)">
                </mat-paginator>
                <ng-template #noRes>
                    <p style="font-family: Eutemia; font-size: 30px; margin-top: 30px;"> No results for your search :(</p>
                </ng-template>
            </div>
            <ng-template #loader>
                <app-book-loader></app-book-loader>
            </ng-template>
        </div>
    </div>
</div>
